From 967f8f4ff467e7d15b7cdf12f3e2f786e5e19375 Mon Sep 17 00:00:00 2001
From: Colin Ian King <colin.i.king@gmail.com>
Date: Wed, 31 May 2023 20:15:54 +0100
Subject: [PATCH] Makefile: always undefine _FORTIFY_SOURCE before defining it

Gentoo seems to define _FORTIFY_SOURCE in the build environment for
some specific build options and we end up with duplicated define
warnings. Undefine it before defining it.

Closes https://github.com/ColinIanKing/stress-ng/issues/291

Signed-off-by: Colin Ian King <colin.i.king@gmail.com>
---
 Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Makefile b/Makefile
index e08d60ea..693010e1 100644
--- a/Makefile
+++ b/Makefile
@@ -59,7 +59,7 @@ CFLAGS += -Werror=format-security
 endif
 ifneq ($(findstring pcc,$(CC)),pcc)
 ifeq ($(shell $(CC) $(CFLAGS) -D_FORTIFY_SOURCE=2 -E -xc /dev/null > /dev/null 2>& 1 && echo 1),1)
-CFLAGS += -D_FORTIFY_SOURCE=2
+CFLAGS += -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2
 endif
 endif
 endif
